svn commit: trunk/busybox: applets sysdeps/linux

landley at busybox.net landley at busybox.net
Thu Dec 15 07:26:14 UTC 2005


Author: landley
Date: 2005-12-14 23:25:54 -0800 (Wed, 14 Dec 2005)
New Revision: 12891

Log:
The rest of Yann E. Morin's install revamp.


Modified:
   trunk/busybox/Rules.mak
   trunk/busybox/applets/install.sh
   trunk/busybox/sysdeps/linux/Config.in


Changeset:
Modified: trunk/busybox/Rules.mak
===================================================================
--- trunk/busybox/Rules.mak	2005-12-15 06:51:52 UTC (rev 12890)
+++ trunk/busybox/Rules.mak	2005-12-15 07:25:54 UTC (rev 12891)
@@ -205,4 +205,16 @@
 # have a chance of winning.
 CFLAGS += $(CFLAGS_EXTRA)
 
+#------------------------------------------------------------
+# Installation options
+ifeq ($(strip $(CONFIG_INSTALL_APPLET_HARDLINKS)),y)
+INSTALL_OPTS=--hardlinks
+endif
+ifeq ($(strip $(CONFIG_INSTALL_APPLET_SYMLINKS)),y)
+INSTALL_OPTS=--symlinks
+endif
+ifeq ($(strip $(CONFIG_INSTALL_APPLET_DONT)),y)
+INSTALL_OPTS=
+endif
+
 .PHONY: dummy

Modified: trunk/busybox/applets/install.sh
===================================================================
--- trunk/busybox/applets/install.sh	2005-12-15 06:51:52 UTC (rev 12890)
+++ trunk/busybox/applets/install.sh	2005-12-15 07:25:54 UTC (rev 12891)
@@ -8,12 +8,13 @@
     echo "No installation directory, aborting."
     exit 1;
 fi
-if [ "$2" = "--hardlinks" ]; then
-    linkopts="-f"
-else
-    linkopts="-fs"
-fi
 h=`sort busybox.links | uniq`
+case "$2" in
+    --hardlinks) linkopts="-f";;
+    --symlinks)  linkopts="-fs";;
+    "")          h="";;
+    *)           echo "Unknown install option: $2"; exit 1;;
+esac
 
 
 rm -f $prefix/bin/busybox || exit 1

Modified: trunk/busybox/sysdeps/linux/Config.in
===================================================================
--- trunk/busybox/sysdeps/linux/Config.in	2005-12-15 06:51:52 UTC (rev 12890)
+++ trunk/busybox/sysdeps/linux/Config.in	2005-12-15 07:25:54 UTC (rev 12891)
@@ -229,6 +229,35 @@
 	  Disable use of /usr. Don't activate this option if you don't know
 	  that you really want this behaviour.
 
+choice
+       prompt "Applets links"
+       default CONFIG_INSTALL_APPLET_SYMLINKS
+       help
+         Choose how you install applets links.
+
+config CONFIG_INSTALL_APPLET_SYMLINKS
+       bool "as soft-links"
+       help
+         Install applets as soft-links to the busybox binary. This needs some
+         free inodes on the filesystem, but might help with filesystem
+         generators that can't cope with hard-links.
+
+config CONFIG_INSTALL_APPLET_HARDLINKS
+       bool "as hard-links"
+       help
+         Install applets as hard-links to the busybox binary. This might count
+         on a filesystem with few inodes.
+
+config CONFIG_INSTALL_APPLET_DONT
+       bool
+       prompt "not installed"
+       depends on CONFIG_FEATURE_INSTALLER || CONFIG_FEATURE_SH_STANDALONE_SHELL
+       help
+         Do not install applets links. Usefull when using the -install feature
+         or a standalone shell for rescue pruposes.
+
+endchoice
+
 config PREFIX
 	string "BusyBox installation prefix"
 	default "./_install"




More information about the busybox-cvs mailing list